共用方式為


Stac Collections - Get All

取得集合
在 GeoCatalog 實例中列出所有收藏

GET https:///stac/collections?api-version=2025-04-30-preview
GET https:///stac/collections?api-version=2025-04-30-preview&sign={sign}&duration={duration}

URI 參數

名稱 位於 必要 類型 Description
api-version
query True

string

minLength: 1

用於此作業的 API 版本。

duration
query

integer (int32)

URL 簽名長度以分鐘計。

sign
query

StacAssetUrlSigningMode

是否在回應中簽署資產網址。

回應

名稱 類型 Description
200 OK

StacCatalogCollections

要求已成功。

Other Status Codes

Azure.Core.Foundations.ErrorResponse

未預期的錯誤回應。

標題

x-ms-error-code: string

安全性

OAuth2Auth

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
https://geocatalog.spatio.azure.com/.default

範例

StacCollections_GetAll

範例要求

GET https:///stac/collections?api-version=2025-04-30-preview

範例回覆

{
  "collections": [
    {
      "id": "example-collection",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection"
        }
      ],
      "title": "Example Collection",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "An example collection",
      "stac_version": "1.0.0",
      "msft:_created": "2025-03-11T19:54:50.067546Z",
      "msft:_updated": "2025-03-11T19:54:50.067546Z",
      "msft:short_description": "An example collection"
    },
    {
      "id": "example-collection1",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection1/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection1"
        }
      ],
      "title": "Example Collection",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "An example collection",
      "stac_version": "1.0.0",
      "msft:_created": "2025-04-22T00:30:03.363303Z",
      "msft:_updated": "2025-04-22T00:30:03.363303Z",
      "msft:short_description": "An example collection"
    },
    {
      "id": "naip-sample-datasets",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-datasets/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-datasets"
        }
      ],
      "title": "NAIP (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-sample-datasets-83498858/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -124.784,
              24.744,
              -66.951,
              49.346
            ],
            [
              -156.003,
              19.059,
              -154.809,
              20.127
            ],
            [
              -67.316,
              17.871,
              -65.596,
              18.565
            ],
            [
              -64.94,
              17.622,
              -64.56,
              17.814
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-21T15:04:08.5650952Z",
      "msft:_updated": "2025-10-21T15:04:31.568615Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "example-collection6",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection6/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/example-collection6"
        }
      ],
      "title": "Example Collection 88",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "An example collection",
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-02T20:20:53.193385Z",
      "msft:_updated": "2025-09-30T17:04:12.0325676Z",
      "msft:short_description": "An example collection"
    },
    {
      "id": "impact-observatory",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/impact-observatory/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/impact-observatory"
        }
      ],
      "title": "impact-observatory",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2018-01-01T00:00:00Z",
              "2018-12-31T23:59:59Z"
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "impact-observatory",
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-21T11:34:25.100150Z",
      "msft:_updated": "2025-05-21T11:34:25.100150Z",
      "msft:short_description": "impact-observatory"
    },
    {
      "id": "tutorial-collection-20250527170217",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/tutorial-collection-20250527170217/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/tutorial-collection-20250527170217"
        }
      ],
      "title": "Tutorial Collection",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/tutorial-collection-20250527170217-34b2cde8/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "Sentinel-2 preview"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2020-01-01T00:00:00Z",
              null
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "Tutorial collection for integration tests",
      "item_assets": {
        "GEC": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "VV polarization",
          "description": "Gamma naught values corrected for terrain",
          "raster:bands": [
            {
              "nodata": -32768,
              "data_type": "uint8",
              "spatial_resolution": 0.477
            }
          ]
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-27T21:02:48.9870711Z",
      "msft:_updated": "2025-05-27T21:51:00.527167Z"
    },
    {
      "id": "naip-atl-sample-dataset",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl-sample-dataset/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl-sample-dataset"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-atl-sample-dataset-b943876c/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-21T19:00:05.1295233Z",
      "msft:_updated": "2025-10-21T19:00:36.824837Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "sentinel-2-l2a-tutorial-372",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/sentinel-2-l2a-tutorial-372/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/sentinel-2-l2a-tutorial-372"
        }
      ],
      "title": "sentinel-2-l2a-tutorial-372",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/sentinel-2-l2a-tutorial-372-f4d2f1d8/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "Sentinel-2 preview"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2015-06-27T10:25:31Z",
              null
            ]
          ]
        }
      },
      "license": "proprietary",
      "keywords": [
        "Sentinel",
        "Copernicus",
        "ESA",
        "Satellite",
        "Global",
        "Imagery",
        "Reflectance"
      ],
      "providers": [
        {
          "url": "https://sentinel.esa.int/web/sentinel/missions/sentinel-2",
          "name": "ESA",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          10,
          20,
          60
        ],
        "eo:bands": [
          {
            "name": "AOT",
            "description": "aerosol optical thickness"
          },
          {
            "gsd": 60,
            "name": "B01",
            "common_name": "coastal",
            "description": "coastal aerosol",
            "center_wavelength": 0.443,
            "full_width_half_max": 0.027
          },
          {
            "gsd": 10,
            "name": "B02",
            "common_name": "blue",
            "description": "visible blue",
            "center_wavelength": 0.49,
            "full_width_half_max": 0.098
          },
          {
            "gsd": 10,
            "name": "B03",
            "common_name": "green",
            "description": "visible green",
            "center_wavelength": 0.56,
            "full_width_half_max": 0.045
          },
          {
            "gsd": 10,
            "name": "B04",
            "common_name": "red",
            "description": "visible red",
            "center_wavelength": 0.665,
            "full_width_half_max": 0.038
          },
          {
            "gsd": 20,
            "name": "B05",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.704,
            "full_width_half_max": 0.019
          },
          {
            "gsd": 20,
            "name": "B06",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.74,
            "full_width_half_max": 0.018
          },
          {
            "gsd": 20,
            "name": "B07",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.783,
            "full_width_half_max": 0.028
          },
          {
            "gsd": 10,
            "name": "B08",
            "common_name": "nir",
            "description": "near infrared",
            "center_wavelength": 0.842,
            "full_width_half_max": 0.145
          },
          {
            "gsd": 20,
            "name": "B8A",
            "common_name": "rededge",
            "description": "vegetation classification red edge",
            "center_wavelength": 0.865,
            "full_width_half_max": 0.033
          },
          {
            "gsd": 60,
            "name": "B09",
            "description": "water vapor",
            "center_wavelength": 0.945,
            "full_width_half_max": 0.026
          },
          {
            "gsd": 20,
            "name": "B11",
            "common_name": "swir16",
            "description": "short-wave infrared, snow/ice/cloud classification",
            "center_wavelength": 1.61,
            "full_width_half_max": 0.143
          },
          {
            "gsd": 20,
            "name": "B12",
            "common_name": "swir22",
            "description": "short-wave infrared, snow/ice/cloud classification",
            "center_wavelength": 2.19,
            "full_width_half_max": 0.242
          }
        ],
        "platform": [
          "Sentinel-2A",
          "Sentinel-2B"
        ],
        "instruments": [
          "msi"
        ],
        "constellation": [
          "sentinel-2"
        ],
        "view:off_nadir": [
          0
        ]
      },
      "description": "The [Sentinel-2](https://sentinel.esa.int/web/sentinel/missions/sentinel-2) program provides global imagery in thirteen spectral bands at 10m-60m resolution and a revisit time of approximately five days.  This dataset represents the global Sentinel-2 archive, from 2016 to the present, processed to L2A (bottom-of-atmosphere) using [Sen2Cor](https://step.esa.int/main/snap-supported-plugins/sen2cor/) and converted to [cloud-optimized GeoTIFF](https://www.cogeo.org/) format.",
      "item_assets": {
        "AOT": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Aerosol optical thickness (AOT)"
        },
        "B01": {
          "gsd": 60,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 1 - Coastal aerosol - 60m",
          "eo:bands": [
            {
              "name": "B01",
              "common_name": "coastal",
              "description": "Band 1 - Coastal aerosol",
              "center_wavelength": 0.443,
              "full_width_half_max": 0.027
            }
          ]
        },
        "B02": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 2 - Blue - 10m",
          "eo:bands": [
            {
              "name": "B02",
              "common_name": "blue",
              "description": "Band 2 - Blue",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "B03": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 3 - Green - 10m",
          "eo:bands": [
            {
              "name": "B03",
              "common_name": "green",
              "description": "Band 3 - Green",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            }
          ]
        },
        "B04": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 4 - Red - 10m",
          "eo:bands": [
            {
              "name": "B04",
              "common_name": "red",
              "description": "Band 4 - Red",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            }
          ]
        },
        "B05": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 5 - Vegetation red edge 1 - 20m",
          "eo:bands": [
            {
              "name": "B05",
              "common_name": "rededge",
              "description": "Band 5 - Vegetation red edge 1",
              "center_wavelength": 0.704,
              "full_width_half_max": 0.019
            }
          ]
        },
        "B06": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 6 - Vegetation red edge 2 - 20m",
          "eo:bands": [
            {
              "name": "B06",
              "common_name": "rededge",
              "description": "Band 6 - Vegetation red edge 2",
              "center_wavelength": 0.74,
              "full_width_half_max": 0.018
            }
          ]
        },
        "B07": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 7 - Vegetation red edge 3 - 20m",
          "eo:bands": [
            {
              "name": "B07",
              "common_name": "rededge",
              "description": "Band 7 - Vegetation red edge 3",
              "center_wavelength": 0.783,
              "full_width_half_max": 0.028
            }
          ]
        },
        "B08": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 8 - NIR - 10m",
          "eo:bands": [
            {
              "name": "B08",
              "common_name": "nir",
              "description": "Band 8 - NIR",
              "center_wavelength": 0.842,
              "full_width_half_max": 0.145
            }
          ]
        },
        "B09": {
          "gsd": 60,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 9 - Water vapor - 60m",
          "eo:bands": [
            {
              "name": "B09",
              "description": "Band 9 - Water vapor",
              "center_wavelength": 0.945,
              "full_width_half_max": 0.026
            }
          ]
        },
        "B11": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 11 - SWIR (1.6) - 20m",
          "eo:bands": [
            {
              "name": "B11",
              "common_name": "swir16",
              "description": "Band 11 - SWIR (1.6)",
              "center_wavelength": 1.61,
              "full_width_half_max": 0.143
            }
          ]
        },
        "B12": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 12 - SWIR (2.2) - 20m",
          "eo:bands": [
            {
              "name": "B12",
              "common_name": "swir22",
              "description": "Band 12 - SWIR (2.2)",
              "center_wavelength": 2.19,
              "full_width_half_max": 0.242
            }
          ]
        },
        "B8A": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Band 8A - Vegetation red edge 4 - 20m",
          "eo:bands": [
            {
              "name": "B8A",
              "common_name": "rededge",
              "description": "Band 8A - Vegetation red edge 4",
              "center_wavelength": 0.865,
              "full_width_half_max": 0.033
            }
          ]
        },
        "SCL": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Scene classfication map (SCL)"
        },
        "WVP": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "Water vapour (WVP)"
        },
        "visual": {
          "gsd": 10,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "True color image",
          "eo:bands": [
            {
              "name": "B04",
              "common_name": "red",
              "description": "Band 4 - Red",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            },
            {
              "name": "B03",
              "common_name": "green",
              "description": "Band 3 - Green",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            },
            {
              "name": "B02",
              "common_name": "blue",
              "description": "Band 2 - Blue",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "preview": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        },
        "safe-manifest": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "SAFE manifest"
        },
        "granule-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "Granule metadata"
        },
        "inspire-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "INSPIRE metadata"
        },
        "product-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "Product metadata"
        },
        "datastrip-metadata": {
          "type": "application/xml",
          "roles": [
            "metadata"
          ],
          "title": "Datastrip metadata"
        }
      },
      "msft:region": "westeurope",
      "stac_version": "1.0.0",
      "msft:_created": "2025-05-30T13:51:04.7570215Z",
      "msft:_updated": "2025-05-30T14:11:36.334817Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ],
      "msft:short_description": "The Sentinel-2 program provides global imagery in thirteen spectral bands at 10m-60m resolution and a revisit time of approximately five days.  This dataset contains the global Sentinel-2 archive, from 2016 to the present, processed to L2A (bottom-of-atmosphere)."
    },
    {
      "id": "naip-sample-dataset-1.0.0",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-dataset-1.0.0/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-sample-dataset-1.0.0"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-sample-dataset-100-a161ce8d/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-22T10:07:50.9807438Z",
      "msft:_updated": "2025-10-22T10:08:20.129540Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "maxar-sample-dataset",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/maxar-sample-dataset/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/maxar-sample-dataset"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/maxar-sample-dataset-e4eaa3d3/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-22T10:55:52.4798017Z",
      "msft:_updated": "2025-10-22T10:56:19.726063Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "naip-atl",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/naip-atl"
        }
      ],
      "title": "NAIP Atlanta (MPC Pro Sample Datasets)",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-atl-bde3e846/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "NAIP thumbnail"
        },
        "test-asset": {
          "href": "https://SANITIZED.blob.core.windows.net/naip-atl-bde3e846/collection-assets/test-asset/test-asset.txt",
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "Test Asset - Updated"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -85.605165,
              30.357851,
              -80.839729,
              35.000659
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2010-01-01T00:00:00Z",
              "2023-12-31T00:00:00Z"
            ]
          ]
        }
      },
      "license": "proprietary",
      "providers": [
        {
          "url": "https://www.fsa.usda.gov/programs-and-services/aerial-photography/imagery-programs/naip-imagery/",
          "name": "USDA Farm Service Agency",
          "roles": [
            "producer",
            "licensor"
          ]
        },
        {
          "url": "https://www.esri.com/",
          "name": "Esri",
          "roles": [
            "processor"
          ]
        },
        {
          "url": "https://planetarycomputer.microsoft.com",
          "name": "Microsoft",
          "roles": [
            "host",
            "processor"
          ]
        }
      ],
      "summaries": {
        "gsd": [
          0.3,
          0.6,
          1
        ],
        "eo:bands": [
          {
            "name": "Red",
            "common_name": "red",
            "description": "visible red"
          },
          {
            "name": "Green",
            "common_name": "green",
            "description": "visible green"
          },
          {
            "name": "Blue",
            "common_name": "blue",
            "description": "visible blue"
          },
          {
            "name": "NIR",
            "common_name": "nir",
            "description": "near-infrared"
          }
        ]
      },
      "description": "A Subset of NAIP imagery for sample MPC Pro GeoCatalog deployments. Includes multiple city and national park focus areas, useful for quick product evaluation. - Updated for testing",
      "item_assets": {
        "image": {
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data"
          ],
          "title": "RGBIR COG tile",
          "eo:bands": [
            {
              "name": "Red",
              "common_name": "red"
            },
            {
              "name": "Green",
              "common_name": "green"
            },
            {
              "name": "Blue",
              "common_name": "blue"
            },
            {
              "name": "NIR",
              "common_name": "nir",
              "description": "near-infrared"
            }
          ]
        },
        "metadata": {
          "type": "text/plain",
          "roles": [
            "metadata"
          ],
          "title": "FGDC Metdata"
        },
        "thumbnail": {
          "type": "image/jpeg",
          "roles": [
            "thumbnail"
          ],
          "title": "Thumbnail"
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-22T11:14:31.811918Z",
      "msft:_updated": "2025-10-28T18:00:29.154669Z",
      "stac_extensions": [
        "https://stac-extensions.github.io/item-assets/v1.0.0/schema.json",
        "https://stac-extensions.github.io/table/v1.2.0/schema.json"
      ]
    },
    {
      "id": "python-sdk-sentinel-3",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-3/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-3"
        }
      ],
      "title": "Collection python-sdk-sentinel-3",
      "assets": {
        "thumbnail": {
          "href": "https://SANITIZED.blob.core.windows.net/python-sdk-sentinel-3-f616ab54/collection-assets/thumbnail/thumbnail.png",
          "type": "image/png",
          "roles": [
            "thumbnail"
          ],
          "title": "Sentinel-2 preview"
        }
      },
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2015-06-27T10:25:31Z",
              null
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "Python SDK Sentinel-2 Collection - Updated for testing",
      "item_assets": {
        "red_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Red (band 4) - 20m",
          "eo:bands": [
            {
              "name": "red",
              "common_name": "red",
              "description": "Red (band 4)",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            }
          ]
        },
        "blue_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Blue (band 2) - 20m",
          "eo:bands": [
            {
              "name": "blue",
              "common_name": "blue",
              "description": "Blue (band 2)",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "green_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Green (band 3) - 20m",
          "eo:bands": [
            {
              "name": "green",
              "common_name": "green",
              "description": "Green (band 3)",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            }
          ]
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-15T21:13:49.6626675Z",
      "msft:_updated": "2025-10-15T22:13:03.410106Z"
    },
    {
      "id": "python-sdk-sentinel-2",
      "type": "Collection",
      "links": [
        {
          "rel": "items",
          "type": "application/geo+json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-2/items"
        },
        {
          "rel": "parent",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "root",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
        },
        {
          "rel": "self",
          "type": "application/json",
          "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections/python-sdk-sentinel-2"
        }
      ],
      "title": "Collection python-sdk-sentinel-2",
      "extent": {
        "spatial": {
          "bbox": [
            [
              -180,
              -90,
              180,
              90
            ]
          ]
        },
        "temporal": {
          "interval": [
            [
              "2015-06-27T10:25:31Z",
              null
            ]
          ]
        }
      },
      "license": "CC-BY-4.0",
      "description": "Python SDK Sentinel-2 Collection",
      "item_assets": {
        "red_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Red (band 4) - 20m",
          "eo:bands": [
            {
              "name": "red",
              "common_name": "red",
              "description": "Red (band 4)",
              "center_wavelength": 0.665,
              "full_width_half_max": 0.038
            }
          ]
        },
        "blue_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Blue (band 2) - 20m",
          "eo:bands": [
            {
              "name": "blue",
              "common_name": "blue",
              "description": "Blue (band 2)",
              "center_wavelength": 0.49,
              "full_width_half_max": 0.098
            }
          ]
        },
        "green_20m": {
          "gsd": 20,
          "type": "image/tiff; application=geotiff; profile=cloud-optimized",
          "roles": [
            "data",
            "reflectance"
          ],
          "title": "Green (band 3) - 20m",
          "eo:bands": [
            {
              "name": "green",
              "common_name": "green",
              "description": "Green (band 3)",
              "center_wavelength": 0.56,
              "full_width_half_max": 0.045
            }
          ]
        }
      },
      "stac_version": "1.0.0",
      "msft:_created": "2025-10-17T10:28:41.5639703Z",
      "msft:_updated": "2025-10-17T10:28:41.5639703Z"
    }
  ],
  "links": [
    {
      "rel": "root",
      "type": "application/json",
      "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
    },
    {
      "rel": "parent",
      "type": "application/json",
      "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/"
    },
    {
      "rel": "self",
      "type": "application/json",
      "href": "https://Sanitized.sanitized_label.sanitized_location.geocatalog.spatio.azure.com/stac/collections"
    }
  ]
}

定義

名稱 Description
Azure.Core.Foundations.Error

error 物件。

Azure.Core.Foundations.ErrorResponse

包含錯誤詳細數據的回應。

Azure.Core.Foundations.InnerError

物件,包含有關錯誤的更特定資訊。 根據 Azure REST API 準則 - https://aka.ms/AzureRestApiGuidelines#handling-errors

StacAsset

https://github.com/radiantearth/stac-spec/blob/v1.0.0/item-spec/item-spec.md#asset-object

代表一個 STAC 資產,即與 STAC 項目相關聯的檔案或資源。

StacAssetUrlSigningMode

表示資產網址的簽章類型。

StacCatalogCollections

http://docs.opengeospatial.org/is/17-069r3/17-069r3.html#_feature_collections_rootcollections

代表一組帶有連結的 STAC 收藏。

StacCollection

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md

代表一個 STAC 收藏。

StacCollectionTemporalExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#temporal-extent-object

代表帶有時間區間的 STAC 集合的時間範圍。

StacExtensionExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#extent-object

代表 STAC 收藏的空間與時間範圍。

StacExtensionSpatialExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#spatial-extent-object

代表帶有邊界框的 STAC 集合的空間範圍。

StacItemAsset

https://github.com/stac-extensions/item-assets

代表一個 STAC 項目資產,描述集合中任一項目下可用的資產。

StacLink

連結模型。

參考資料: http://schemas.opengis.net/ogcapi/features/part1/1.0/openapi/schemas/link.yaml

代表一個連結。

StacLinkType

連結用 MIME 類型。

StacProvider

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#provider-object

代表關於 STAC 收藏與項目資料提供者的資訊。

Azure.Core.Foundations.Error

error 物件。

名稱 類型 Description
code

string

其中一組伺服器定義的錯誤碼。

details

Azure.Core.Foundations.Error[]

導致此錯誤之特定錯誤的詳細數據陣列。

innererror

Azure.Core.Foundations.InnerError

物件,包含與目前對象有關錯誤更具體的資訊。

message

string

錯誤的人類可讀取表示法。

target

string

錯誤的目標。

Azure.Core.Foundations.ErrorResponse

包含錯誤詳細數據的回應。

名稱 類型 Description
error

Azure.Core.Foundations.Error

error 物件。

Azure.Core.Foundations.InnerError

物件,包含有關錯誤的更特定資訊。 根據 Azure REST API 準則 - https://aka.ms/AzureRestApiGuidelines#handling-errors

名稱 類型 Description
code

string

其中一組伺服器定義的錯誤碼。

innererror

Azure.Core.Foundations.InnerError

內部錯誤。

StacAsset

https://github.com/radiantearth/stac-spec/blob/v1.0.0/item-spec/item-spec.md#asset-object

代表一個 STAC 資產,即與 STAC 項目相關聯的檔案或資源。

名稱 類型 Description
constellation

string

衛星星座收集了這些資料。

created

string (date-time)

資料的建立時間戳。

description

string

資產的詳細描述。

gsd

number (float)

地面樣本距離以公尺為單位。

href

string

minLength: 1

資產檔案的網址。

instruments

string[]

這些儀器負責取得資料。

mission

string

與資料相關的任務。

platform

string

取得資料的平台。

providers

StacProvider[]

提供資料的組織或個人。

roles

string[]

資產在物品中的角色。

title

string

一個讓人看得懂的資產標題。

type

string

資產的媒體類型。

updated

string (date-time)

資料的最後更新時間戳記。

StacAssetUrlSigningMode

表示資產網址的簽章類型。

Description
true

在回覆中簽署資產網址。

false

請勿在回覆中簽署資產網址。

StacCatalogCollections

http://docs.opengeospatial.org/is/17-069r3/17-069r3.html#_feature_collections_rootcollections

代表一組帶有連結的 STAC 收藏。

名稱 類型 Description
collections

StacCollection[]

目錄中提供多樣的STAC收藏。

links

StacLink[]

相關資源與端點連結。

StacCollection

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md

代表一個 STAC 收藏。

名稱 類型 預設值 Description
assets

<string,  StacAsset>

資產

description

string

minLength: 1

收藏的詳細描述。

extent

StacExtensionExtent

收藏的空間與時間範圍。

id

string

minLength: 1
maxLength: 500
pattern: .*

集合的唯一識別碼。

item_assets

<string,  StacItemAsset>

物品資產

請參閱 項目資產定義擴充規範

keywords

string[]

描述該收藏的關鍵詞。

license

string

minLength: 1

收藏資料的授權識別碼。

links

StacLink[]

相關資源與端點連結。

msft:_created

string (date-time)

微軟創立

msft:_updated

string (date-time)

微軟更新

msft:short_description

string

maxLength: 300

微軟簡短說明

providers

StacProvider[]

提供資料蒐集資料的組織或個人。

stac_extensions

string[]

指向由此 STAC 資源實作的 STAC 擴充功能的網址。

stac_version

string

minLength: 1
1.0.0

Stac版本

summaries

Summaries

請參閱 STAC 收藏規範

title

string

本收藏的讀者易讀標題。

type

string

minLength: 1
Collection

類型

StacCollectionTemporalExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#temporal-extent-object

代表帶有時間區間的 STAC 集合的時間範圍。

名稱 類型 Description
interval

string[] (date-time)

時間區間陣列格式為 [[start_datetime, end_datetime]]。

StacExtensionExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#extent-object

代表 STAC 收藏的空間與時間範圍。

名稱 類型 Description
spatial

StacExtensionSpatialExtent

空間範圍由邊界框定義。

請參閱 STAC 收藏規範

temporal

StacCollectionTemporalExtent

時間範圍由時間區間定義。

請參閱 STAC 收藏規範

StacExtensionSpatialExtent

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#spatial-extent-object

代表帶有邊界框的 STAC 集合的空間範圍。

名稱 類型 Description
bbox

number[] (float)

定義空間範圍的邊界框陣列,格式為 [[west, south, east, north]]。

StacItemAsset

https://github.com/stac-extensions/item-assets

代表一個 STAC 項目資產,描述集合中任一項目下可用的資產。

名稱 類型 Description
constellation

string

衛星星座收集了這些資料。

created

string (date-time)

資料的建立時間戳。

description

string

資產的詳細描述。

gsd

number (float)

地面樣本距離以公尺為單位。

href

string

minLength: 1

資產檔案的網址。

instruments

string[]

這些儀器負責取得資料。

mission

string

與資料相關的任務。

platform

string

取得資料的平台。

providers

StacProvider[]

提供資料的組織或個人。

roles

string[]

資產在物品中的角色。

title

string

一個讓人看得懂的資產標題。

type

string

資產的媒體類型。

updated

string (date-time)

資料的最後更新時間戳記。

連結模型。

參考資料: http://schemas.opengis.net/ogcapi/features/part1/1.0/openapi/schemas/link.yaml

代表一個連結。

名稱 類型 預設值 Description
body

對於 POST 請求,資源可以指定 HTTP 主體為 JSON 物件。

headers

object

物件鍵值對應標頭。 範例:{ 「接受」: “application/json” }。

href

string

連結的網址。

hreflang

string

連結資源的語言。

length

integer (int32)

連結資源的長度。

merge

boolean

False

表示客戶端是否預期在跟隨連結前,先將主體值合併到目前的請求主體。 這僅在伺服器回應 POST 請求時有效。 預設:false。

method enum:
  • GET
  • POST
GET

指定資源所期望的 HTTP 方法。 預設:GET。

rel

string

連結的關係類型。

title

string

連結標題。

type

StacLinkType

application/json

連結資源的 MIME 類型。

StacLinkType

連結用 MIME 類型。

Description
image/tiff; application=geotiff

表示一張圖像/tiff,application=geotiff。

image/jp2

代表一張圖片/jp2。

image/png

代表一張圖片/png。

image/jpeg

代表一張圖片/JPEG。

image/jpg

代表一張圖片/jpg。

image/webp

代表一張圖片/Webp。

application/x-binary

代表一個應用程式/x-二進位檔。

application/xml

代表一個應用程式/xml。

application/json

代表一個應用程式/json。

application/geo+json

代表一個應用程式/geo+json。

text/html

代表文字/html。

text/plain

代表文字/平面。

application/x-protobuf

代表一個應用程式/x-原型。

StacProvider

https://github.com/radiantearth/stac-spec/blob/v1.0.0/collection-spec/collection-spec.md#provider-object

代表關於 STAC 收藏與項目資料提供者的資訊。

名稱 類型 Description
description

string

提供者說明。

name

string

minLength: 1

提供者名稱、組織或個人。

roles

string[]

由提供者扮演的角色(例如製作人、處理器、主持人)。

url

string

提供者網站的網址。